#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from zope.interface import implementer

from pyams_portal.portlet import portlet_config, Portlet, PortletSettings
from pyams_portal.portlets.spacer.interfaces import ISpacerPortletSettings
from pyams_utils.factory import factory_config
from pyams_utils.interfaces import VIEW_PERMISSION

from pyams_portal import _


SPACER_PORTLET_NAME = 'pyams_portal.portlet.spacer'


@factory_config(provided=ISpacerPortletSettings)
@implementer(ISpacerPortletSettings)
class SpacerPortletSettings(PortletSettings):
    """Spacer portlet settings"""


@portlet_config(permission=VIEW_PERMISSION)
class SpacerPortlet(Portlet):
    """Spacer portlet"""

    name = SPACER_PORTLET_NAME
    label = _("Spacer")

    toolbar_css_class = 'fa fa-fw fa-2x fa-arrow-h'

    settings_factory = ISpacerPortletSettings
